<?php

namespace Drupal\cl_server\PageCache;

use Drupal\Core\PageCache\RequestPolicyInterface;
use Drupal\Core\Routing\RouteObjectInterface;
use Symfony\Component\HttpFoundation\Request;

/**
 * Do not serve a page from cache if serving from the rendering controller.
 *
 * @internal
 */
class DisallowPageCache implements RequestPolicyInterface {

  /**
   * {@inheritdoc}
   */
  public function check(Request $request) {
    $route_name = $request->attributes->get(RouteObjectInterface::ROUTE_NAME);
    return $route_name === 'cl_server.render';
  }

}
