<?php

namespace Drupal\cl_server\PathProcessor;

use Drupal\Core\PathProcessor\OutboundPathProcessorInterface;
use Drupal\Core\Render\BubbleableMetadata;
use Drupal\Core\Routing\RouteObjectInterface;
use Symfony\Component\HttpFoundation\Request;

/**
 * Processes the inbound path using path clServer lookups.
 */
class AbsolutePathProcessor implements OutboundPathProcessorInterface {

  /**
   * {@inheritdoc}
   */
  public function processOutbound($path, &$options = [], Request $request = NULL, BubbleableMetadata $bubbleable_metadata = NULL) {
    if (!$request) {
      return $path;
    }
    $route_name = $request->attributes->get(RouteObjectInterface::ROUTE_NAME);
    if ($route_name !== 'cl_server.render') {
      return $path;
    }
    // Make all the URLs absolute when rendering the components in isolation for
    // the component library.
    $options['absolute'] = TRUE;
    return $path;
  }

}
